using System;
using System.Linq;

namespace Pikado
{
    class Program
    {
        public static void Zamena(string[] niz, int poz, int b)
        {
            int i, j, k;
            for (k = 0; k < b; k++)
            {
                for (i = poz; i < niz.Length - 1; i++)
                {
                    niz[i] = niz[i + 1];
                }
            }
        }
        static void Main(string[] args)
        {
            string[] niz = Console.ReadLine().Split(' ');
            int N = int.Parse(niz[0]);
            int K = int.Parse(niz[1]);
            if(N < 1 || K > Math.Pow(10, 6)) { goto end; }
            string[] pogodio = Console.ReadLine().Split(' ');
            int[] A = new int[N];
            for(int i = 0; i < N; i++)
            {
                A[i] = int.Parse(pogodio[i]);
            }
            for (int i = 0; i < N; i++)
            {
                if(A[i] > N || A[i] < -N) { goto end; }
            }
            int br = 0;
            int poz = 1;
            int m = 0;
            string rezultat = null;
            int[] x = new int[poz];
            for (int i = 0; i < N-1; i++)
            {
                Array.Resize(ref x, poz);
                br = 0;
                for(int j = i + 1; j < N; j++)
                {
                    if(A[i] == A[j])
                    {
                        br++;
                    }
                }
                if(br >= K-1)
                {
                    rezultat += A[i] + " ";
                }
            }
            string[] novo = rezultat.Split(' ');
            poz = novo.Length;
            for(int i = 0; i < novo.Length-1; i++)
            {
                br = 0;
                for (int j = i+1; j < novo.Length; j++)
                {
                    if(novo[i] == novo[j])
                    {
                        br++;
                    }
                }
                if(br >= K-1)
                {
                    Zamena(novo, i, br);
                    Array.Resize(ref novo, novo.Length-1);
                }
            }
            br = 0;
            Console.WriteLine(novo.Length-1);
            for (int i = 0; i < novo.Length; i++)
            {
                Console.Write(novo[i] + " ");
            }
            end:;
        }
    }
}